Welcome to the Android Central Forums Create Your Account or Ask a Question Answers in 5 minutes - no registration required!
Results 1 to 9 of 9
  1. Thread Author  Thread Author    #1  

    Default Device not compatible

    I am getting the "device is not compatible with the version" for pretty much every app all of the sudden on Google Play...any idea what is going on!

    Sent from my Rooted LG-VM696 using Android Central Forums
  2. Thread Author  Thread Author    #2  

    Default Re: Device not compatible

    Figured it out....went through all of the Google apps on my phone, cleared cache and data files for all, and uninstalled updates for Google Play.

    Seemed to have solved the issue

    Sent from my Rooted LG-VM696 using Android Central Forums
  3. Thread Author  Thread Author    #3  

    Default Re: Device not compatible

    This happened AGAIN!!!

    I think it may be from changing the lcd density but not sure. Changed it back but no luck.

    Any ideas what's going on?.....please help

    Sent from my rooted LG-VM696 using Android Central Forums
  4. #4  
    cole2kb's Avatar
    Retired Moderator

    Posts
    3,975 Posts
    Global Posts
    4,029 Global Posts
    ROM
    Stock

    Default Re: Device not compatible

    An LCD density change will cause this error even if you go back.

    Go into Settings > Applications, click Google Play store, clear cache, data, and uninstall updates
    Do the same thing with Google Services Framework

    Reboot, then re-add your Google account and let the Play Store re-update. That should fix it.
    --Chris [cole2kb]
  5. #5  

    Default This Device is not compatible with the app.

    This issue is caused mainly due to change on DPI. If you've changed the DPI, then revert it back to the original one. Next, clear the data and cache of the Play Store (Market) application. If possible uninstall the updates. Then, Force Stop it and reboot the device once. Next, reinstall the Play Store (Market) application. Now, change the DPI
  6. Thread Author  Thread Author    #6  

    Default Re: Device not compatible

    Thanks.....I changed it back and did all the other things

    Sent from my LG-VM696 using Android Central Forums
  7. #7  

    Default Re: Device not compatible

    Hello. I have the same problem... What does DPI stand for?
  8. #8  

    Default Re: Device not compatible

    dpi - dots per inch. essentially a measure of resolution.
    aka ppi (pixels per inch)
  9. #9  

    Default Re: Device not compatible

    NO problem !!
    Do the following steps:
    1. Download the installation file from WhatsApp for Android to your PC
    2. Connect your phone to the PC with the usb cable
    3. Copy the installation file whatsapp.apk to the whatsapp directory of your phone
    4. Disconnect the cable
    5. Go to the whatsapp dir of your phone. If you do not have an app that can do this download it from play store for free. The simplest is APK Installer or else ASTRO file/cloud manager.
    6. Make sure that your phone allows installing of non-market apps
    7. Simply click whatsapp.apk using the apk installer

    Behold: Now your device is suddenly compatible with the new version !!

Similar Threads

  1. Google Wallet: "Not Compatible With Your Device..."
    By BOSSY TEXAS CHICK in forum HTC One X
    Replies: 21
    Last Post: 10-01-2012, 01:02 PM
  2. Why is our device not compatible with the new YouTube app?
    By MannyZ28 in forum Sprint Galaxy S II Epic 4G Touch
    Replies: 18
    Last Post: 03-19-2012, 10:04 PM
  3. Device not compatible
    By cavalierzzz2 in forum General Help and How To
    Replies: 3
    Last Post: 02-14-2012, 08:51 AM
  4. Is anyone else noticing "device is not compatible with this item"
    By f75gunslinger in forum Verizon Fascinate
    Replies: 9
    Last Post: 01-23-2012, 03:43 PM
  5. Your device is not compatible with this item!
    By Adibidah in forum Barnes & Noble Nook Color
    Replies: 8
    Last Post: 10-01-2011, 12:08 PM

Posting Permissions